import { IGridConfig } from '@sankhyalabs/ezui/dist/types/components/ez-grid/controller/EzGridController';
import { ResourceFetcher } from './resource-fetcher';
export default class GridConfigFetcher extends ResourceFetcher {
  readonly GRID_CONFIG_VERSION = "V3:";
  getDefaultConfig(resourceId: string): Promise<IGridConfig>;
  getConfig(gridName: string, resourceID: string): Promise<IGridConfig>;
  saveConfig(config: IGridConfig, gridName: string, resourceID: string): Promise<IGridConfig>;
  private getPath;
}
